Package wx :: Package py

[frames | no frames]

## Package wx.py

The py package, formerly the PyCrust package.

Submodules

- `buffer`: Buffer class.
- `crust`: Crust combines the shell and filling into one control.
- `dispatcher`: Provides global signal dispatching services.
- `document`: Document class.
- `editor`: PyAlaCarte and PyAlaMode editors.
- `editwindow`: EditWindow class.
- `filling`: Filling is the gui tree control through which a user can navigate the local namespace or any object.
- `frame`: Base frame with menu.
- `images`: Support for icons.
- `interpreter`: Interpreter executes Python commands.
- `introspect`: Provides a variety of introspective-type support functions for things like call tips and command auto completion.
- `pseudo`: Provides a variety of classes to create pseudo keywords and pseudo files.
- `PyAlaCarte`: PyAlaCarte is a simple programmer's editor.
- `PyAlaMode`: PyAlaMode is a programmer's editor.
- `PyAlaModeTest`: PyAlaModeTest is a programmer's editor.
- `PyCrust`: PyCrust is a python shell and namespace browser application.
- `PyFilling`: PyFilling is a python namespace inspection application.
- `PyShell`: PyShell is a python shell application.
- `PyWrap`: PyWrap is a command line utility that runs a wxPython program with additional runtime-tools, such as PyCrust.
- `shell`: Shell is an interactive text control in which a user types in commands to be sent to the interpreter.
- `version`: Provides an object representing the current 'version' or 'release' of Py as a whole.

Variable Summary
`str` | `__author__` = `"Patrick K. O'Brien <pobrien@orbtech.com>"`
`str` | `__cvsid__` = `'$Id: __init__.py,v 1.3 2003/11/12 21:28:55 ...`
`str` | `__revision__` = `'1.3'`

Variable Details

### __author__

  Type:
    `str`
  Value:

        "Patrick K. O'Brien <pobrien@orbtech.com>"

### __cvsid__

  Type:
    `str`
  Value:

        '$Id: __init__.py,v 1.3 2003/11/12 21:28:55 RD Exp $'

### __revision__

  Type:
    `str`
  Value:

        '1.3'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:23 2007 | http://epydoc.sf.net